Skip to main content
`Ctrl`+`K`

# EPSGetIterationNumber

Gets the current iteration number. If the call to `EPSSolve()` is complete, then it returns the number of iterations carried out by the solution method.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetIterationNumber(EPS eps,PetscInt *its)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- its - number of iterations

## Note

During the \(i\)-th iteration this call returns \(i-1\). If `EPSSolve()` is complete, then parameter `its` contains either the iteration number at which convergence was successfully reached, or failure was detected. Call `EPSGetConvergedReason()` to determine if the solver converged or failed and why.

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetConvergedReason()`, `EPSSetTolerances()`

## Level

intermediate

## Location

src/eps/interface/epssolve.c

## Examples

src/eps/tutorials/ex4.c
src/eps/tutorials/ex19.c
src/eps/tutorials/ex7.c
src/eps/tutorials/ex1.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex31.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages